> For the complete documentation index, see [llms.txt](https://docs.lenses.io/latest/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.lenses.io/latest/devx/5.5/user-guide/cli/manage-kafka/quotas.md).

# Quotas

## View quotas <a href="#view-quotas" id="view-quotas"></a>

```bash
lenses-cli quotas [--output json/table/yaml]
```

## Create and update quotas for users <a href="#create-and-update-quotas-for-users" id="create-and-update-quotas-for-users"></a>

```bash
lenses-cli quota users set [--quota-user="user"] [--quota-client=""] \
    --quota-config="{\"producer_byte_rate\": \"100000\",\"consumer_byte_rate\": \"200000\",\"request_percentage\": \"75\"}"
```

From a file.

```bash
lenses-cli quota users set ./quota.yaml
```

File example:

```yaml
user: user
clientID: "*"
config:
  ProducerByteRate: "100000"
  ConsumerByteRate: "200000"
  RequestPercentage: "75"
```

## Create and update quotas for clients <a href="#create-and-update-quotas-for-clients" id="create-and-update-quotas-for-clients"></a>

```bash
lenses-cli quota clients set [--quota-client=""] \
    --quota-config="{\"producer_byte_rate\": \"100000\",\"consumer_byte_rate\": \"200000\",\"request_percentage\": \"75\""

```

From a file.

```yaml
lenses-cli quota clients set ./quota-clients.yaml
```

Example file.

```yaml
clientID: "*"
config:
  ProducerByteRate: "100000"
  ConsumerByteRate: "200000"
  RequestPercentage: "75"
```

## Remove user quota config’s specific properties <a href="#remove-user-quota-configs-specific-properties" id="remove-user-quota-configs-specific-properties"></a>

```bash
lenses-cli quota users delete [--quota-client=""] [--quota-user=""] \
    producer_byte_rate consumer_byte_rate request_percentage
```

## Delete the default user quota <a href="#delete-for-the-default-user-quota" id="delete-for-the-default-user-quota"></a>

```bash
lenses-cli quota users delete
```

## Delete for a specific user quota <a href="#delete-for-a-specific-user-quota" id="delete-for-a-specific-user-quota"></a>

```bash
lenses-cli quota users delete \
    --quota-user="user"
```

## Delete for a specific user and client <a href="#delete-for-a-specific-user-and-client" id="delete-for-a-specific-user-and-client"></a>

```bash
lenses-cli quota users delete \
    --quota-user="user" \
    --quota-client="clientID"
```

```bash
lenses-cli quota users delete \
    --quota-user="user" \
    request_percentage
```

## Remove client quota config’s specific properties <a href="#remove-client-quota-configs-specific-properties" id="remove-client-quota-configs-specific-properties"></a>

If empty then all properties will be passed on automatically and the client quota will be removed entirely.

```bash
lenses-cli quota clients delete [--quota-client=""] \
    producer_byte_rate consumer_byte_rate request_percentage
```

## Delete the default client quota <a href="#delete-for-the-default-client-quota" id="delete-for-the-default-client-quota"></a>

```bash
lenses-cli quota clients delete
```

## Delete for a specific client quota <a href="#delete-for-a-specific-client-quota" id="delete-for-a-specific-client-quota"></a>

```bash
lenses-cli quota clients delete \
    --quota-client="clientID"
```

## Delete for a specific client quota’s property <a href="#delete-for-a-specific-client-quotas-property" id="delete-for-a-specific-client-quotas-property"></a>

```bash
lenses-cli quota clients delete \
    --quota-client="clientID" \
    request_percentage
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.lenses.io/latest/devx/5.5/user-guide/cli/manage-kafka/quotas.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
